NativeEnumerated.c vars NULL init and check
[com/asn1c.git] / libasn1fix / Makefile
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # libasn1fix/Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17
18 am__is_gnu_make = { \
19   if test -z '$(MAKELEVEL)'; then \
20     false; \
21   elif test -n '$(MAKE_HOST)'; then \
22     true; \
23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24     true; \
25   else \
26     false; \
27   fi; \
28 }
29 am__make_running_with_option = \
30   case $${target_option-} in \
31       ?) ;; \
32       *) echo "am__make_running_with_option: internal error: invalid" \
33               "target option '$${target_option-}' specified" >&2; \
34          exit 1;; \
35   esac; \
36   has_opt=no; \
37   sane_makeflags=$$MAKEFLAGS; \
38   if $(am__is_gnu_make); then \
39     sane_makeflags=$$MFLAGS; \
40   else \
41     case $$MAKEFLAGS in \
42       *\\[\ \   ]*) \
43         bs=\\; \
44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46     esac; \
47   fi; \
48   skip_next=no; \
49   strip_trailopt () \
50   { \
51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52   }; \
53   for flg in $$sane_makeflags; do \
54     test $$skip_next = yes && { skip_next=no; continue; }; \
55     case $$flg in \
56       *=*|--*) continue;; \
57         -*I) strip_trailopt 'I'; skip_next=yes;; \
58       -*I?*) strip_trailopt 'I';; \
59         -*O) strip_trailopt 'O'; skip_next=yes;; \
60       -*O?*) strip_trailopt 'O';; \
61         -*l) strip_trailopt 'l'; skip_next=yes;; \
62       -*l?*) strip_trailopt 'l';; \
63       -[dEDm]) skip_next=yes;; \
64       -[JT]) skip_next=yes;; \
65     esac; \
66     case $$flg in \
67       *$$target_option*) has_opt=yes; break;; \
68     esac; \
69   done; \
70   test $$has_opt = yes
71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73 pkgdatadir = $(datadir)/asn1c
74 pkgincludedir = $(includedir)/asn1c
75 pkglibdir = $(libdir)/asn1c
76 pkglibexecdir = $(libexecdir)/asn1c
77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78 install_sh_DATA = $(install_sh) -c -m 644
79 install_sh_PROGRAM = $(install_sh) -c
80 install_sh_SCRIPT = $(install_sh) -c
81 INSTALL_HEADER = $(INSTALL_DATA)
82 transform = $(program_transform_name)
83 NORMAL_INSTALL = :
84 PRE_INSTALL = :
85 POST_INSTALL = :
86 NORMAL_UNINSTALL = :
87 PRE_UNINSTALL = :
88 POST_UNINSTALL = :
89 build_triplet = x86_64-pc-linux-gnu
90 host_triplet = x86_64-pc-linux-gnu
91 check_PROGRAMS = check_crange$(EXEEXT) check_fixer$(EXEEXT)
92 TESTS = $(check_PROGRAMS)
93 subdir = libasn1fix
94 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95 am__aclocal_m4_deps =  \
96         $(top_srcdir)/m4/ax_check_compile_and_link_flag.m4 \
97         $(top_srcdir)/m4/ax_check_compile_flag.m4 \
98         $(top_srcdir)/m4/ax_code_coverage.m4 \
99         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
100         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
101         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
102 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
103         $(ACLOCAL_M4)
104 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
105 mkinstalldirs = $(install_sh) -d
106 CONFIG_HEADER = $(top_builddir)/config.h
107 CONFIG_CLEAN_FILES =
108 CONFIG_CLEAN_VPATH_FILES =
109 LTLIBRARIES = $(noinst_LTLIBRARIES)
110 libasn1fix_la_LIBADD =
111 am_libasn1fix_la_OBJECTS = asn1fix.lo asn1fix_misc.lo asn1fix_value.lo \
112         asn1fix_compat.lo asn1fix_constr.lo asn1fix_cstring.lo \
113         asn1fix_retrieve.lo asn1fix_bitstring.lo asn1fix_constraint.lo \
114         asn1fix_integer.lo asn1fix_crange.lo asn1fix_dereft.lo \
115         asn1fix_derefv.lo asn1fix_export.lo asn1fix_param.lo \
116         asn1fix_class.lo asn1fix_tags.lo asn1fix_enum.lo \
117         asn1fix_cws.lo asn1fix_constraint_compat.lo
118 libasn1fix_la_OBJECTS = $(am_libasn1fix_la_OBJECTS)
119 AM_V_lt = $(am__v_lt_$(V))
120 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
121 am__v_lt_0 = --silent
122 am__v_lt_1 = 
123 am_check_crange_OBJECTS = check_crange-asn1fix_crange.$(OBJEXT) \
124         check_crange-asn1fix_constraint_compat.$(OBJEXT)
125 check_crange_OBJECTS = $(am_check_crange_OBJECTS)
126 check_crange_LDADD = $(LDADD)
127 check_crange_DEPENDENCIES = $(noinst_LTLIBRARIES) \
128         $(top_builddir)/libasn1parser/libasn1parser.la \
129         $(top_builddir)/libasn1common/libasn1common.la
130 check_fixer_SOURCES = check_fixer.c
131 check_fixer_OBJECTS = check_fixer-check_fixer.$(OBJEXT)
132 check_fixer_LDADD = $(LDADD)
133 check_fixer_DEPENDENCIES = $(noinst_LTLIBRARIES) \
134         $(top_builddir)/libasn1parser/libasn1parser.la \
135         $(top_builddir)/libasn1common/libasn1common.la
136 AM_V_P = $(am__v_P_$(V))
137 am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
138 am__v_P_0 = false
139 am__v_P_1 = :
140 AM_V_GEN = $(am__v_GEN_$(V))
141 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
142 am__v_GEN_0 = @echo "  GEN     " $@;
143 am__v_GEN_1 = 
144 AM_V_at = $(am__v_at_$(V))
145 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
146 am__v_at_0 = @
147 am__v_at_1 = 
148 DEFAULT_INCLUDES = -I. -I$(top_builddir)
149 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
150 am__depfiles_maybe = depfiles
151 am__mv = mv -f
152 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
153         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
154 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
155         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
156         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
157         $(AM_CFLAGS) $(CFLAGS)
158 AM_V_CC = $(am__v_CC_$(V))
159 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
160 am__v_CC_0 = @echo "  CC      " $@;
161 am__v_CC_1 = 
162 CCLD = $(CC)
163 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
164         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
165         $(AM_LDFLAGS) $(LDFLAGS) -o $@
166 AM_V_CCLD = $(am__v_CCLD_$(V))
167 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
168 am__v_CCLD_0 = @echo "  CCLD    " $@;
169 am__v_CCLD_1 = 
170 SOURCES = $(libasn1fix_la_SOURCES) $(check_crange_SOURCES) \
171         check_fixer.c
172 DIST_SOURCES = $(libasn1fix_la_SOURCES) $(check_crange_SOURCES) \
173         check_fixer.c
174 am__can_run_installinfo = \
175   case $$AM_UPDATE_INFO_DIR in \
176     n|no|NO) false;; \
177     *) (install-info --version) >/dev/null 2>&1;; \
178   esac
179 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
180 # Read a list of newline-separated strings from the standard input,
181 # and print each of them once, without duplicates.  Input order is
182 # *not* preserved.
183 am__uniquify_input = $(AWK) '\
184   BEGIN { nonempty = 0; } \
185   { items[$$0] = 1; nonempty = 1; } \
186   END { if (nonempty) { for (i in items) print i; }; } \
187 '
188 # Make sure the list of sources is unique.  This is necessary because,
189 # e.g., the same source file might be shared among _SOURCES variables
190 # for different programs/libraries.
191 am__define_uniq_tagged_files = \
192   list='$(am__tagged_files)'; \
193   unique=`for i in $$list; do \
194     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
195   done | $(am__uniquify_input)`
196 ETAGS = etags
197 CTAGS = ctags
198 am__tty_colors_dummy = \
199   mgn= red= grn= lgn= blu= brg= std=; \
200   am__color_tests=no
201 am__tty_colors = { \
202   $(am__tty_colors_dummy); \
203   if test "X$(AM_COLOR_TESTS)" = Xno; then \
204     am__color_tests=no; \
205   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
206     am__color_tests=yes; \
207   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
208     am__color_tests=yes; \
209   fi; \
210   if test $$am__color_tests = yes; then \
211     red='\e[0;31m'; \
212     grn='\e[0;32m'; \
213     lgn='\e[1;32m'; \
214     blu='\e[1;34m'; \
215     mgn='\e[0;35m'; \
216     brg='\e[1m'; \
217     std='\e[m'; \
218   fi; \
219 }
220 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
221 am__vpath_adj = case $$p in \
222     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
223     *) f=$$p;; \
224   esac;
225 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
226 am__install_max = 40
227 am__nobase_strip_setup = \
228   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
229 am__nobase_strip = \
230   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
231 am__nobase_list = $(am__nobase_strip_setup); \
232   for p in $$list; do echo "$$p $$p"; done | \
233   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
234   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
235     if (++n[$$2] == $(am__install_max)) \
236       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
237     END { for (dir in files) print dir, files[dir] }'
238 am__base_list = \
239   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
240   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
241 am__uninstall_files_from_dir = { \
242   test -z "$$files" \
243     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
244     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
245          $(am__cd) "$$dir" && rm -f $$files; }; \
246   }
247 am__recheck_rx = ^[     ]*:recheck:[    ]*
248 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
249 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
250 # A command that, given a newline-separated list of test names on the
251 # standard input, print the name of the tests that are to be re-run
252 # upon "make recheck".
253 am__list_recheck_tests = $(AWK) '{ \
254   recheck = 1; \
255   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
256     { \
257       if (rc < 0) \
258         { \
259           if ((getline line2 < ($$0 ".log")) < 0) \
260             recheck = 0; \
261           break; \
262         } \
263       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
264         { \
265           recheck = 0; \
266           break; \
267         } \
268       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
269         { \
270           break; \
271         } \
272     }; \
273   if (recheck) \
274     print $$0; \
275   close ($$0 ".trs"); \
276   close ($$0 ".log"); \
277 }'
278 # A command that, given a newline-separated list of test names on the
279 # standard input, create the global log from their .trs and .log files.
280 am__create_global_log = $(AWK) ' \
281 function fatal(msg) \
282 { \
283   print "fatal: making $@: " msg | "cat >&2"; \
284   exit 1; \
285 } \
286 function rst_section(header) \
287 { \
288   print header; \
289   len = length(header); \
290   for (i = 1; i <= len; i = i + 1) \
291     printf "="; \
292   printf "\n\n"; \
293 } \
294 { \
295   copy_in_global_log = 1; \
296   global_test_result = "RUN"; \
297   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
298     { \
299       if (rc < 0) \
300          fatal("failed to read from " $$0 ".trs"); \
301       if (line ~ /$(am__global_test_result_rx)/) \
302         { \
303           sub("$(am__global_test_result_rx)", "", line); \
304           sub("[        ]*$$", "", line); \
305           global_test_result = line; \
306         } \
307       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
308         copy_in_global_log = 0; \
309     }; \
310   if (copy_in_global_log) \
311     { \
312       rst_section(global_test_result ": " $$0); \
313       while ((rc = (getline line < ($$0 ".log"))) != 0) \
314       { \
315         if (rc < 0) \
316           fatal("failed to read from " $$0 ".log"); \
317         print line; \
318       }; \
319       printf "\n"; \
320     }; \
321   close ($$0 ".trs"); \
322   close ($$0 ".log"); \
323 }'
324 # Restructured Text title.
325 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
326 # Solaris 10 'make', and several other traditional 'make' implementations,
327 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
328 # by disabling -e (using the XSI extension "set +e") if it's set.
329 am__sh_e_setup = case $$- in *e*) set +e;; esac
330 # Default flags passed to test drivers.
331 am__common_driver_flags = \
332   --color-tests "$$am__color_tests" \
333   --enable-hard-errors "$$am__enable_hard_errors" \
334   --expect-failure "$$am__expect_failure"
335 # To be inserted before the command running the test.  Creates the
336 # directory for the log if needed.  Stores in $dir the directory
337 # containing $f, in $tst the test, in $log the log.  Executes the
338 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
339 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
340 # will run the test scripts (or their associated LOG_COMPILER, if
341 # thy have one).
342 am__check_pre = \
343 $(am__sh_e_setup);                                      \
344 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
345 $(am__tty_colors);                                      \
346 srcdir=$(srcdir); export srcdir;                        \
347 case "$@" in                                            \
348   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
349     *) am__odir=.;;                                     \
350 esac;                                                   \
351 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
352   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
353 if test -f "./$$f"; then dir=./;                        \
354 elif test -f "$$f"; then dir=;                          \
355 else dir="$(srcdir)/"; fi;                              \
356 tst=$$dir$$f; log='$@';                                 \
357 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
358   am__enable_hard_errors=no;                            \
359 else                                                    \
360   am__enable_hard_errors=yes;                           \
361 fi;                                                     \
362 case " $(XFAIL_TESTS) " in                              \
363   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
364     am__expect_failure=yes;;                            \
365   *)                                                    \
366     am__expect_failure=no;;                             \
367 esac;                                                   \
368 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
369 # A shell command to get the names of the tests scripts with any registered
370 # extension removed (i.e., equivalently, the names of the test logs, with
371 # the '.log' extension removed).  The result is saved in the shell variable
372 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
373 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
374 # since that might cause problem with VPATH rewrites for suffix-less tests.
375 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
376 am__set_TESTS_bases = \
377   bases='$(TEST_LOGS)'; \
378   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
379   bases=`echo $$bases`
380 RECHECK_LOGS = $(TEST_LOGS)
381 AM_RECURSIVE_TARGETS = check recheck
382 TEST_SUITE_LOG = test-suite.log
383 TEST_EXTENSIONS =  .test
384 LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
385 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
386 am__set_b = \
387   case '$@' in \
388     */*) \
389       case '$*' in \
390         */*) b='$*';; \
391           *) b=`echo '$@' | sed 's/\.log$$//'`; \
392        esac;; \
393     *) \
394       b='$*';; \
395   esac
396 am__test_logs1 = $(TESTS:=.log)
397 am__test_logs2 = $(am__test_logs1:.log=.log)
398 TEST_LOGS = $(am__test_logs2:.test.log=.log)
399 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
400 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
401         $(TEST_LOG_FLAGS)
402 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp \
403         $(top_srcdir)/config/test-driver
404 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
405 ACLOCAL = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing aclocal-1.15
406 ADD_CFLAGS = 
407 AMTAR = $${TAR-tar}
408 AM_DEFAULT_VERBOSITY = 0
409 AR = ar
410 ASAN_ENV_FLAGS =  ASAN_OPTIONS=detect_leaks=1
411 AUTOCONF = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing autoconf
412 AUTOHEADER = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing autoheader
413 AUTOMAKE = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing automake-1.15
414 AWK = gawk
415 CC = gcc
416 CCDEPMODE = depmode=gcc3
417 CFLAGS = -g -O2 -Wall -Wcast-qual -Wchar-subscripts -Wmissing-prototypes -Wmissing-declarations -Wno-error=attributes -Wno-error=cast-align -std=gnu99
418 CFLAGS_M32 = 
419 CODE_COVERAGE_CFLAGS = 
420 CODE_COVERAGE_CPPFLAGS = 
421 CODE_COVERAGE_CXXFLAGS = 
422 CODE_COVERAGE_ENABLED = no
423 CODE_COVERAGE_LDFLAGS = 
424 CODE_COVERAGE_LIBS = 
425 CPP = gcc -E
426 CPPFLAGS = 
427 CXX = g++
428 CXXCPP = g++ -E
429 CXXDEPMODE = depmode=gcc3
430 CXXFLAGS = -std=c++11
431 CYGPATH_W = echo
432 DEFS = -DHAVE_CONFIG_H
433 DEPDIR = .deps
434 DLLTOOL = false
435 DSYMUTIL = 
436 DUMPBIN = 
437 ECHO_C = 
438 ECHO_N = -n
439 ECHO_T = 
440 EGREP = /bin/grep -E
441 EXEEXT = 
442 FGREP = /bin/grep -F
443 GCOV = 
444 GENHTML = 
445 GREP = /bin/grep
446 INSTALL = /usr/bin/install -c
447 INSTALL_DATA = ${INSTALL} -m 644
448 INSTALL_PROGRAM = ${INSTALL}
449 INSTALL_SCRIPT = ${INSTALL}
450 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
451 LCOV = 
452 LD = /usr/bin/ld -m elf_x86_64
453 LDFLAGS = 
454 LEX = flex
455 LEXLIB = -lfl
456 LEX_OUTPUT_ROOT = lex.yy
457 LIBFUZZER_CFLAGS = 
458 LIBOBJS = 
459 LIBS = 
460 LIBTOOL = $(SHELL) $(top_builddir)/libtool
461 LIPO = 
462 LN_S = ln -s
463 LTLIBOBJS = 
464 LT_SYS_LIBRARY_PATH = 
465 MAKEINFO = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing makeinfo
466 MANIFEST_TOOL = :
467 MKDIR_P = /bin/mkdir -p
468 NM = /usr/bin/nm -B
469 NMEDIT = 
470 OBJDUMP = objdump
471 OBJEXT = o
472 OTOOL = 
473 OTOOL64 = 
474 PACKAGE = asn1c
475 PACKAGE_BUGREPORT = vlm@lionet.info
476 PACKAGE_NAME = asn1c
477 PACKAGE_STRING = asn1c 0.9.29
478 PACKAGE_TARNAME = asn1c
479 PACKAGE_URL = 
480 PACKAGE_VERSION = 0.9.29
481 PANDOC = 
482 PATH_SEPARATOR = :
483 RANLIB = ranlib
484 SANITIZER_CFLAGS =  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
485 SED = /bin/sed
486 SET_MAKE = 
487 SHELL = /bin/bash
488 SKELETONS_CFLAGS =   -std=c89 -Wpedantic -Wno-long-long  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
489 STRIP = strip
490 TESTSUITE_CFLAGS =  -std=gnu99 -Wno-error=unused-variable  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
491 VERSION = 0.9.29
492 YACC = bison -y
493 YFLAGS = 
494 abs_builddir = /home/nokia/mouse07410/asn1c/libasn1fix
495 abs_srcdir = /home/nokia/mouse07410/asn1c/libasn1fix
496 abs_top_builddir = /home/nokia/mouse07410/asn1c
497 abs_top_srcdir = /home/nokia/mouse07410/asn1c
498 ac_ct_AR = ar
499 ac_ct_CC = gcc
500 ac_ct_CXX = g++
501 ac_ct_DUMPBIN = 
502 am__include = include
503 am__leading_dot = .
504 am__quote = 
505 am__tar = $${TAR-tar} chof - "$$tardir"
506 am__untar = $${TAR-tar} xf -
507 bindir = ${exec_prefix}/bin
508 build = x86_64-pc-linux-gnu
509 build_alias = 
510 build_cpu = x86_64
511 build_os = linux-gnu
512 build_vendor = pc
513 builddir = .
514 datadir = ${datarootdir}
515 datarootdir = ${prefix}/share
516 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
517 dvidir = ${docdir}
518 exec_prefix = ${prefix}
519 host = x86_64-pc-linux-gnu
520 host_alias = 
521 host_cpu = x86_64
522 host_os = linux-gnu
523 host_vendor = pc
524 htmldir = ${docdir}
525 includedir = ${prefix}/include
526 infodir = ${datarootdir}/info
527 install_sh = ${SHELL} /home/nokia/mouse07410/asn1c/config/install-sh
528 libdir = ${exec_prefix}/lib
529 libexecdir = ${exec_prefix}/libexec
530 localedir = ${datarootdir}/locale
531 localstatedir = ${prefix}/var
532 mandir = ${datarootdir}/man
533 mkdir_p = $(MKDIR_P)
534 oldincludedir = /usr/include
535 pdfdir = ${docdir}
536 prefix = /usr/local
537 program_transform_name = s,x,x,
538 psdir = ${docdir}
539 runstatedir = ${localstatedir}/run
540 sbindir = ${exec_prefix}/sbin
541 sharedstatedir = ${prefix}/com
542 srcdir = .
543 sysconfdir = ${prefix}/etc
544 target_alias = 
545 top_build_prefix = ../
546 top_builddir = ..
547 top_srcdir = ..
548 AM_CFLAGS = 
549 AM_CPPFLAGS = \
550     -I$(top_srcdir)/libasn1common   \
551     -I$(top_srcdir)/libasn1parser
552
553 noinst_LTLIBRARIES = libasn1fix.la
554 libasn1fix_la_SOURCES = \
555     asn1fix.c asn1fix.h                         \
556     asn1fix_internal.h                          \
557     asn1fix_misc.c asn1fix_misc.h               \
558     asn1fix_value.c asn1fix_value.h             \
559     asn1fix_compat.c asn1fix_compat.h           \
560     asn1fix_constr.c asn1fix_constr.h           \
561     asn1fix_cstring.c asn1fix_cstring.h         \
562     asn1fix_retrieve.c asn1fix_retrieve.h       \
563     asn1fix_bitstring.c asn1fix_bitstring.h     \
564     asn1fix_constraint.c asn1fix_constraint.h   \
565     asn1fix_integer.c asn1fix_integer.h         \
566     asn1fix_crange.c asn1fix_crange.h           \
567     asn1fix_dereft.c asn1fix_dereft.h           \
568     asn1fix_derefv.c asn1fix_derefv.h           \
569     asn1fix_export.c asn1fix_export.h           \
570     asn1fix_param.c asn1fix_param.h             \
571     asn1fix_class.c asn1fix_class.h             \
572     asn1fix_tags.c asn1fix_tags.h               \
573     asn1fix_enum.c asn1fix_enum.h               \
574     asn1fix_cws.c asn1fix_cws.h                 \
575     asn1fix_constraint_compat.c
576
577 check_fixer_CPPFLAGS = -DTOP_SRCDIR=${top_srcdir} $(AM_CPPFLAGS)
578 check_crange_SOURCES = asn1fix_crange.c asn1fix_constraint_compat.c
579 check_crange_CPPFLAGS = -DUNIT_TEST $(AM_CPPFLAGS)
580 LDADD = $(noinst_LTLIBRARIES)   \
581     $(top_builddir)/libasn1parser/libasn1parser.la  \
582     $(top_builddir)/libasn1common/libasn1common.la
583
584 TESTS_ENVIRONMENT = top_srcdir=${top_srcdir}
585 all: all-am
586
587 .SUFFIXES:
588 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
589 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
590         @for dep in $?; do \
591           case '$(am__configure_deps)' in \
592             *$$dep*) \
593               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
594                 && { if test -f $@; then exit 0; else break; fi; }; \
595               exit 1;; \
596           esac; \
597         done; \
598         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign libasn1fix/Makefile'; \
599         $(am__cd) $(top_srcdir) && \
600           $(AUTOMAKE) --foreign libasn1fix/Makefile
601 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
602         @case '$?' in \
603           *config.status*) \
604             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
605           *) \
606             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
607             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
608         esac;
609
610 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
611         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
612
613 $(top_srcdir)/configure:  $(am__configure_deps)
614         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
615 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
616         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
617 $(am__aclocal_m4_deps):
618
619 clean-noinstLTLIBRARIES:
620         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
621         @list='$(noinst_LTLIBRARIES)'; \
622         locs=`for p in $$list; do echo $$p; done | \
623               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
624               sort -u`; \
625         test -z "$$locs" || { \
626           echo rm -f $${locs}; \
627           rm -f $${locs}; \
628         }
629
630 libasn1fix.la: $(libasn1fix_la_OBJECTS) $(libasn1fix_la_DEPENDENCIES) $(EXTRA_libasn1fix_la_DEPENDENCIES) 
631         $(AM_V_CCLD)$(LINK)  $(libasn1fix_la_OBJECTS) $(libasn1fix_la_LIBADD) $(LIBS)
632
633 clean-checkPROGRAMS:
634         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
635         echo " rm -f" $$list; \
636         rm -f $$list || exit $$?; \
637         test -n "$(EXEEXT)" || exit 0; \
638         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
639         echo " rm -f" $$list; \
640         rm -f $$list
641
642 check_crange$(EXEEXT): $(check_crange_OBJECTS) $(check_crange_DEPENDENCIES) $(EXTRA_check_crange_DEPENDENCIES) 
643         @rm -f check_crange$(EXEEXT)
644         $(AM_V_CCLD)$(LINK) $(check_crange_OBJECTS) $(check_crange_LDADD) $(LIBS)
645
646 check_fixer$(EXEEXT): $(check_fixer_OBJECTS) $(check_fixer_DEPENDENCIES) $(EXTRA_check_fixer_DEPENDENCIES) 
647         @rm -f check_fixer$(EXEEXT)
648         $(AM_V_CCLD)$(LINK) $(check_fixer_OBJECTS) $(check_fixer_LDADD) $(LIBS)
649
650 mostlyclean-compile:
651         -rm -f *.$(OBJEXT)
652
653 distclean-compile:
654         -rm -f *.tab.c
655
656 include ./$(DEPDIR)/asn1fix.Plo
657 include ./$(DEPDIR)/asn1fix_bitstring.Plo
658 include ./$(DEPDIR)/asn1fix_class.Plo
659 include ./$(DEPDIR)/asn1fix_compat.Plo
660 include ./$(DEPDIR)/asn1fix_constr.Plo
661 include ./$(DEPDIR)/asn1fix_constraint.Plo
662 include ./$(DEPDIR)/asn1fix_constraint_compat.Plo
663 include ./$(DEPDIR)/asn1fix_crange.Plo
664 include ./$(DEPDIR)/asn1fix_cstring.Plo
665 include ./$(DEPDIR)/asn1fix_cws.Plo
666 include ./$(DEPDIR)/asn1fix_dereft.Plo
667 include ./$(DEPDIR)/asn1fix_derefv.Plo
668 include ./$(DEPDIR)/asn1fix_enum.Plo
669 include ./$(DEPDIR)/asn1fix_export.Plo
670 include ./$(DEPDIR)/asn1fix_integer.Plo
671 include ./$(DEPDIR)/asn1fix_misc.Plo
672 include ./$(DEPDIR)/asn1fix_param.Plo
673 include ./$(DEPDIR)/asn1fix_retrieve.Plo
674 include ./$(DEPDIR)/asn1fix_tags.Plo
675 include ./$(DEPDIR)/asn1fix_value.Plo
676 include ./$(DEPDIR)/check_crange-asn1fix_constraint_compat.Po
677 include ./$(DEPDIR)/check_crange-asn1fix_crange.Po
678 include ./$(DEPDIR)/check_fixer-check_fixer.Po
679
680 .c.o:
681         $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
682         $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
683 #       $(AM_V_CC)source='$<' object='$@' libtool=no \
684 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
685 #       $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
686
687 .c.obj:
688         $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
689         $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
690 #       $(AM_V_CC)source='$<' object='$@' libtool=no \
691 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
692 #       $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
693
694 .c.lo:
695         $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
696         $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
697 #       $(AM_V_CC)source='$<' object='$@' libtool=yes \
698 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
699 #       $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
700
701 check_crange-asn1fix_crange.o: asn1fix_crange.c
702         $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_crange_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check_crange-asn1fix_crange.o -MD -MP -MF $(DEPDIR)/check_crange-asn1fix_crange.Tpo -c -o check_crange-asn1fix_crange.o `test -f 'asn1fix_crange.c' || echo '$(srcdir)/'`asn1fix_crange.c
703         $(AM_V_at)$(am__mv) $(DEPDIR)/check_crange-asn1fix_crange.Tpo $(DEPDIR)/check_crange-asn1fix_crange.Po
704 #       $(AM_V_CC)source='asn1fix_crange.c' object='check_crange-asn1fix_crange.o' libtool=no \
705 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
706 #       $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_crange_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check_crange-asn1fix_crange.o `test -f 'asn1fix_crange.c' || echo '$(srcdir)/'`asn1fix_crange.c
707
708 check_crange-asn1fix_crange.obj: asn1fix_crange.c
709         $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_crange_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check_crange-asn1fix_crange.obj -MD -MP -MF $(DEPDIR)/check_crange-asn1fix_crange.Tpo -c -o check_crange-asn1fix_crange.obj `if test -f 'asn1fix_crange.c'; then $(CYGPATH_W) 'asn1fix_crange.c'; else $(CYGPATH_W) '$(srcdir)/asn1fix_crange.c'; fi`
710         $(AM_V_at)$(am__mv) $(DEPDIR)/check_crange-asn1fix_crange.Tpo $(DEPDIR)/check_crange-asn1fix_crange.Po
711 #       $(AM_V_CC)source='asn1fix_crange.c' object='check_crange-asn1fix_crange.obj' libtool=no \
712 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
713 #       $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_crange_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check_crange-asn1fix_crange.obj `if test -f 'asn1fix_crange.c'; then $(CYGPATH_W) 'asn1fix_crange.c'; else $(CYGPATH_W) '$(srcdir)/asn1fix_crange.c'; fi`
714
715 check_crange-asn1fix_constraint_compat.o: asn1fix_constraint_compat.c
716         $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_crange_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check_crange-asn1fix_constraint_compat.o -MD -MP -MF $(DEPDIR)/check_crange-asn1fix_constraint_compat.Tpo -c -o check_crange-asn1fix_constraint_compat.o `test -f 'asn1fix_constraint_compat.c' || echo '$(srcdir)/'`asn1fix_constraint_compat.c
717         $(AM_V_at)$(am__mv) $(DEPDIR)/check_crange-asn1fix_constraint_compat.Tpo $(DEPDIR)/check_crange-asn1fix_constraint_compat.Po
718 #       $(AM_V_CC)source='asn1fix_constraint_compat.c' object='check_crange-asn1fix_constraint_compat.o' libtool=no \
719 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
720 #       $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_crange_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check_crange-asn1fix_constraint_compat.o `test -f 'asn1fix_constraint_compat.c' || echo '$(srcdir)/'`asn1fix_constraint_compat.c
721
722 check_crange-asn1fix_constraint_compat.obj: asn1fix_constraint_compat.c
723         $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_crange_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check_crange-asn1fix_constraint_compat.obj -MD -MP -MF $(DEPDIR)/check_crange-asn1fix_constraint_compat.Tpo -c -o check_crange-asn1fix_constraint_compat.obj `if test -f 'asn1fix_constraint_compat.c'; then $(CYGPATH_W) 'asn1fix_constraint_compat.c'; else $(CYGPATH_W) '$(srcdir)/asn1fix_constraint_compat.c'; fi`
724         $(AM_V_at)$(am__mv) $(DEPDIR)/check_crange-asn1fix_constraint_compat.Tpo $(DEPDIR)/check_crange-asn1fix_constraint_compat.Po
725 #       $(AM_V_CC)source='asn1fix_constraint_compat.c' object='check_crange-asn1fix_constraint_compat.obj' libtool=no \
726 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
727 #       $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_crange_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check_crange-asn1fix_constraint_compat.obj `if test -f 'asn1fix_constraint_compat.c'; then $(CYGPATH_W) 'asn1fix_constraint_compat.c'; else $(CYGPATH_W) '$(srcdir)/asn1fix_constraint_compat.c'; fi`
728
729 check_fixer-check_fixer.o: check_fixer.c
730         $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_fixer_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check_fixer-check_fixer.o -MD -MP -MF $(DEPDIR)/check_fixer-check_fixer.Tpo -c -o check_fixer-check_fixer.o `test -f 'check_fixer.c' || echo '$(srcdir)/'`check_fixer.c
731         $(AM_V_at)$(am__mv) $(DEPDIR)/check_fixer-check_fixer.Tpo $(DEPDIR)/check_fixer-check_fixer.Po
732 #       $(AM_V_CC)source='check_fixer.c' object='check_fixer-check_fixer.o' libtool=no \
733 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
734 #       $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_fixer_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check_fixer-check_fixer.o `test -f 'check_fixer.c' || echo '$(srcdir)/'`check_fixer.c
735
736 check_fixer-check_fixer.obj: check_fixer.c
737         $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_fixer_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check_fixer-check_fixer.obj -MD -MP -MF $(DEPDIR)/check_fixer-check_fixer.Tpo -c -o check_fixer-check_fixer.obj `if test -f 'check_fixer.c'; then $(CYGPATH_W) 'check_fixer.c'; else $(CYGPATH_W) '$(srcdir)/check_fixer.c'; fi`
738         $(AM_V_at)$(am__mv) $(DEPDIR)/check_fixer-check_fixer.Tpo $(DEPDIR)/check_fixer-check_fixer.Po
739 #       $(AM_V_CC)source='check_fixer.c' object='check_fixer-check_fixer.obj' libtool=no \
740 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
741 #       $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(check_fixer_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check_fixer-check_fixer.obj `if test -f 'check_fixer.c'; then $(CYGPATH_W) 'check_fixer.c'; else $(CYGPATH_W) '$(srcdir)/check_fixer.c'; fi`
742
743 mostlyclean-libtool:
744         -rm -f *.lo
745
746 clean-libtool:
747         -rm -rf .libs _libs
748
749 ID: $(am__tagged_files)
750         $(am__define_uniq_tagged_files); mkid -fID $$unique
751 tags: tags-am
752 TAGS: tags
753
754 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
755         set x; \
756         here=`pwd`; \
757         $(am__define_uniq_tagged_files); \
758         shift; \
759         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
760           test -n "$$unique" || unique=$$empty_fix; \
761           if test $$# -gt 0; then \
762             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
763               "$$@" $$unique; \
764           else \
765             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
766               $$unique; \
767           fi; \
768         fi
769 ctags: ctags-am
770
771 CTAGS: ctags
772 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
773         $(am__define_uniq_tagged_files); \
774         test -z "$(CTAGS_ARGS)$$unique" \
775           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
776              $$unique
777
778 GTAGS:
779         here=`$(am__cd) $(top_builddir) && pwd` \
780           && $(am__cd) $(top_srcdir) \
781           && gtags -i $(GTAGS_ARGS) "$$here"
782 cscopelist: cscopelist-am
783
784 cscopelist-am: $(am__tagged_files)
785         list='$(am__tagged_files)'; \
786         case "$(srcdir)" in \
787           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
788           *) sdir=$(subdir)/$(srcdir) ;; \
789         esac; \
790         for i in $$list; do \
791           if test -f "$$i"; then \
792             echo "$(subdir)/$$i"; \
793           else \
794             echo "$$sdir/$$i"; \
795           fi; \
796         done >> $(top_builddir)/cscope.files
797
798 distclean-tags:
799         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
800
801 # Recover from deleted '.trs' file; this should ensure that
802 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
803 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
804 # to avoid problems with "make -n".
805 .log.trs:
806         rm -f $< $@
807         $(MAKE) $(AM_MAKEFLAGS) $<
808
809 # Leading 'am--fnord' is there to ensure the list of targets does not
810 # expand to empty, as could happen e.g. with make check TESTS=''.
811 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
812 am--force-recheck:
813         @:
814
815 $(TEST_SUITE_LOG): $(TEST_LOGS)
816         @$(am__set_TESTS_bases); \
817         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
818         redo_bases=`for i in $$bases; do \
819                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
820                     done`; \
821         if test -n "$$redo_bases"; then \
822           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
823           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
824           if $(am__make_dryrun); then :; else \
825             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
826           fi; \
827         fi; \
828         if test -n "$$am__remaking_logs"; then \
829           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
830                "recursion detected" >&2; \
831         elif test -n "$$redo_logs"; then \
832           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
833         fi; \
834         if $(am__make_dryrun); then :; else \
835           st=0;  \
836           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
837           for i in $$redo_bases; do \
838             test -f $$i.trs && test -r $$i.trs \
839               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
840             test -f $$i.log && test -r $$i.log \
841               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
842           done; \
843           test $$st -eq 0 || exit 1; \
844         fi
845         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
846         ws='[   ]'; \
847         results=`for b in $$bases; do echo $$b.trs; done`; \
848         test -n "$$results" || results=/dev/null; \
849         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
850         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
851         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
852         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
853         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
854         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
855         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
856         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
857           success=true; \
858         else \
859           success=false; \
860         fi; \
861         br='==================='; br=$$br$$br$$br$$br; \
862         result_count () \
863         { \
864             if test x"$$1" = x"--maybe-color"; then \
865               maybe_colorize=yes; \
866             elif test x"$$1" = x"--no-color"; then \
867               maybe_colorize=no; \
868             else \
869               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
870             fi; \
871             shift; \
872             desc=$$1 count=$$2; \
873             if test $$maybe_colorize = yes && test $$count -gt 0; then \
874               color_start=$$3 color_end=$$std; \
875             else \
876               color_start= color_end=; \
877             fi; \
878             echo "$${color_start}# $$desc $$count$${color_end}"; \
879         }; \
880         create_testsuite_report () \
881         { \
882           result_count $$1 "TOTAL:" $$all   "$$brg"; \
883           result_count $$1 "PASS: " $$pass  "$$grn"; \
884           result_count $$1 "SKIP: " $$skip  "$$blu"; \
885           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
886           result_count $$1 "FAIL: " $$fail  "$$red"; \
887           result_count $$1 "XPASS:" $$xpass "$$red"; \
888           result_count $$1 "ERROR:" $$error "$$mgn"; \
889         }; \
890         {                                                               \
891           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
892             $(am__rst_title);                                           \
893           create_testsuite_report --no-color;                           \
894           echo;                                                         \
895           echo ".. contents:: :depth: 2";                               \
896           echo;                                                         \
897           for b in $$bases; do echo $$b; done                           \
898             | $(am__create_global_log);                                 \
899         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
900         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
901         if $$success; then                                              \
902           col="$$grn";                                                  \
903          else                                                           \
904           col="$$red";                                                  \
905           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
906         fi;                                                             \
907         echo "$${col}$$br$${std}";                                      \
908         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
909         echo "$${col}$$br$${std}";                                      \
910         create_testsuite_report --maybe-color;                          \
911         echo "$$col$$br$$std";                                          \
912         if $$success; then :; else                                      \
913           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
914           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
915             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
916           fi;                                                           \
917           echo "$$col$$br$$std";                                        \
918         fi;                                                             \
919         $$success || exit 1
920
921 check-TESTS:
922         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
923         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
924         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
925         @set +e; $(am__set_TESTS_bases); \
926         log_list=`for i in $$bases; do echo $$i.log; done`; \
927         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
928         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
929         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
930         exit $$?;
931 recheck: all $(check_PROGRAMS)
932         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
933         @set +e; $(am__set_TESTS_bases); \
934         bases=`for i in $$bases; do echo $$i; done \
935                  | $(am__list_recheck_tests)` || exit 1; \
936         log_list=`for i in $$bases; do echo $$i.log; done`; \
937         log_list=`echo $$log_list`; \
938         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
939                 am__force_recheck=am--force-recheck \
940                 TEST_LOGS="$$log_list"; \
941         exit $$?
942 check_crange.log: check_crange$(EXEEXT)
943         @p='check_crange$(EXEEXT)'; \
944         b='check_crange'; \
945         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
946         --log-file $$b.log --trs-file $$b.trs \
947         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
948         "$$tst" $(AM_TESTS_FD_REDIRECT)
949 check_fixer.log: check_fixer$(EXEEXT)
950         @p='check_fixer$(EXEEXT)'; \
951         b='check_fixer'; \
952         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
953         --log-file $$b.log --trs-file $$b.trs \
954         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
955         "$$tst" $(AM_TESTS_FD_REDIRECT)
956 .test.log:
957         @p='$<'; \
958         $(am__set_b); \
959         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
960         --log-file $$b.log --trs-file $$b.trs \
961         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
962         "$$tst" $(AM_TESTS_FD_REDIRECT)
963 #.test$(EXEEXT).log:
964 #       @p='$<'; \
965 #       $(am__set_b); \
966 #       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
967 #       --log-file $$b.log --trs-file $$b.trs \
968 #       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
969 #       "$$tst" $(AM_TESTS_FD_REDIRECT)
970
971 distdir: $(DISTFILES)
972         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
973         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
974         list='$(DISTFILES)'; \
975           dist_files=`for file in $$list; do echo $$file; done | \
976           sed -e "s|^$$srcdirstrip/||;t" \
977               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
978         case $$dist_files in \
979           */*) $(MKDIR_P) `echo "$$dist_files" | \
980                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
981                            sort -u` ;; \
982         esac; \
983         for file in $$dist_files; do \
984           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
985           if test -d $$d/$$file; then \
986             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
987             if test -d "$(distdir)/$$file"; then \
988               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
989             fi; \
990             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
991               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
992               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
993             fi; \
994             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
995           else \
996             test -f "$(distdir)/$$file" \
997             || cp -p $$d/$$file "$(distdir)/$$file" \
998             || exit 1; \
999           fi; \
1000         done
1001 check-am: all-am
1002         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1003         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1004 check: check-am
1005 all-am: Makefile $(LTLIBRARIES)
1006 installdirs:
1007 install: install-am
1008 install-exec: install-exec-am
1009 install-data: install-data-am
1010 uninstall: uninstall-am
1011
1012 install-am: all-am
1013         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1014
1015 installcheck: installcheck-am
1016 install-strip:
1017         if test -z '$(STRIP)'; then \
1018           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1019             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1020               install; \
1021         else \
1022           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1023             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1024             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1025         fi
1026 mostlyclean-generic:
1027         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1028         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1029         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1030
1031 clean-generic:
1032
1033 distclean-generic:
1034         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1035         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1036
1037 maintainer-clean-generic:
1038         @echo "This command is intended for maintainers to use"
1039         @echo "it deletes files that may require special tools to rebuild."
1040 clean: clean-am
1041
1042 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1043         clean-noinstLTLIBRARIES mostlyclean-am
1044
1045 distclean: distclean-am
1046         -rm -rf ./$(DEPDIR)
1047         -rm -f Makefile
1048 distclean-am: clean-am distclean-compile distclean-generic \
1049         distclean-tags
1050
1051 dvi: dvi-am
1052
1053 dvi-am:
1054
1055 html: html-am
1056
1057 html-am:
1058
1059 info: info-am
1060
1061 info-am:
1062
1063 install-data-am:
1064
1065 install-dvi: install-dvi-am
1066
1067 install-dvi-am:
1068
1069 install-exec-am:
1070
1071 install-html: install-html-am
1072
1073 install-html-am:
1074
1075 install-info: install-info-am
1076
1077 install-info-am:
1078
1079 install-man:
1080
1081 install-pdf: install-pdf-am
1082
1083 install-pdf-am:
1084
1085 install-ps: install-ps-am
1086
1087 install-ps-am:
1088
1089 installcheck-am:
1090
1091 maintainer-clean: maintainer-clean-am
1092         -rm -rf ./$(DEPDIR)
1093         -rm -f Makefile
1094 maintainer-clean-am: distclean-am maintainer-clean-generic
1095
1096 mostlyclean: mostlyclean-am
1097
1098 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1099         mostlyclean-libtool
1100
1101 pdf: pdf-am
1102
1103 pdf-am:
1104
1105 ps: ps-am
1106
1107 ps-am:
1108
1109 uninstall-am:
1110
1111 .MAKE: check-am install-am install-strip
1112
1113 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1114         clean-checkPROGRAMS clean-generic clean-libtool \
1115         clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1116         distclean-compile distclean-generic distclean-libtool \
1117         distclean-tags distdir dvi dvi-am html html-am info info-am \
1118         install install-am install-data install-data-am install-dvi \
1119         install-dvi-am install-exec install-exec-am install-html \
1120         install-html-am install-info install-info-am install-man \
1121         install-pdf install-pdf-am install-ps install-ps-am \
1122         install-strip installcheck installcheck-am installdirs \
1123         maintainer-clean maintainer-clean-generic mostlyclean \
1124         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1125         pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1126         uninstall-am
1127
1128 .PRECIOUS: Makefile
1129
1130
1131 # Code coverage
1132 #
1133 # Optional:
1134 #  - CODE_COVERAGE_DIRECTORY: Top-level directory for code coverage reporting.
1135 #    Multiple directories may be specified, separated by whitespace.
1136 #    (Default: $(top_builddir))
1137 #  - CODE_COVERAGE_OUTPUT_FILE: Filename and path for the .info file generated
1138 #    by lcov for code coverage. (Default:
1139 #    $(PACKAGE_NAME)-$(PACKAGE_VERSION)-coverage.info)
1140 #  - CODE_COVERAGE_OUTPUT_DIRECTORY: Directory for generated code coverage
1141 #    reports to be created. (Default:
1142 #    $(PACKAGE_NAME)-$(PACKAGE_VERSION)-coverage)
1143 #  - CODE_COVERAGE_BRANCH_COVERAGE: Set to 1 to enforce branch coverage,
1144 #    set to 0 to disable it and leave empty to stay with the default.
1145 #    (Default: empty)
1146 #  - CODE_COVERAGE_LCOV_SHOPTS_DEFAULT: Extra options shared between both lcov
1147 #    instances. (Default: based on $CODE_COVERAGE_BRANCH_COVERAGE)
1148 #  - CODE_COVERAGE_LCOV_SHOPTS: Extra options to shared between both lcov
1149 #    instances. (Default: $CODE_COVERAGE_LCOV_SHOPTS_DEFAULT)
1150 #  - CODE_COVERAGE_LCOV_OPTIONS_GCOVPATH: --gcov-tool pathtogcov
1151 #  - CODE_COVERAGE_LCOV_OPTIONS_DEFAULT: Extra options to pass to the
1152 #    collecting lcov instance. (Default: $CODE_COVERAGE_LCOV_OPTIONS_GCOVPATH)
1153 #  - CODE_COVERAGE_LCOV_OPTIONS: Extra options to pass to the collecting lcov
1154 #    instance. (Default: $CODE_COVERAGE_LCOV_OPTIONS_DEFAULT)
1155 #  - CODE_COVERAGE_LCOV_RMOPTS_DEFAULT: Extra options to pass to the filtering
1156 #    lcov instance. (Default: empty)
1157 #  - CODE_COVERAGE_LCOV_RMOPTS: Extra options to pass to the filtering lcov
1158 #    instance. (Default: $CODE_COVERAGE_LCOV_RMOPTS_DEFAULT)
1159 #  - CODE_COVERAGE_GENHTML_OPTIONS_DEFAULT: Extra options to pass to the
1160 #    genhtml instance. (Default: based on $CODE_COVERAGE_BRANCH_COVERAGE)
1161 #  - CODE_COVERAGE_GENHTML_OPTIONS: Extra options to pass to the genhtml
1162 #    instance. (Default: $CODE_COVERAGE_GENHTML_OPTIONS_DEFAULT)
1163 #  - CODE_COVERAGE_IGNORE_PATTERN: Extra glob pattern of files to ignore
1164 #
1165 # The generated report will be titled using the $(PACKAGE_NAME) and
1166 # $(PACKAGE_VERSION). In order to add the current git hash to the title,
1167 # use the git-version-gen script, available online.
1168
1169 # Optional variables
1170 CODE_COVERAGE_DIRECTORY ?= $(top_builddir)
1171 CODE_COVERAGE_OUTPUT_FILE ?= $(PACKAGE_NAME)-$(PACKAGE_VERSION)-coverage.info
1172 CODE_COVERAGE_OUTPUT_DIRECTORY ?= $(PACKAGE_NAME)-$(PACKAGE_VERSION)-coverage
1173 CODE_COVERAGE_BRANCH_COVERAGE ?=
1174 CODE_COVERAGE_LCOV_SHOPTS_DEFAULT ?= $(if $(CODE_COVERAGE_BRANCH_COVERAGE),\
1175 --rc lcov_branch_coverage=$(CODE_COVERAGE_BRANCH_COVERAGE))
1176 CODE_COVERAGE_LCOV_SHOPTS ?= $(CODE_COVERAGE_LCOV_SHOPTS_DEFAULT)
1177 CODE_COVERAGE_LCOV_OPTIONS_GCOVPATH ?= --gcov-tool "$(GCOV)"
1178 CODE_COVERAGE_LCOV_OPTIONS_DEFAULT ?= $(CODE_COVERAGE_LCOV_OPTIONS_GCOVPATH)
1179 CODE_COVERAGE_LCOV_OPTIONS ?= $(CODE_COVERAGE_LCOV_OPTIONS_DEFAULT)
1180 CODE_COVERAGE_LCOV_RMOPTS_DEFAULT ?=
1181 CODE_COVERAGE_LCOV_RMOPTS ?= $(CODE_COVERAGE_LCOV_RMOPTS_DEFAULT)
1182 CODE_COVERAGE_GENHTML_OPTIONS_DEFAULT ?=\
1183 $(if $(CODE_COVERAGE_BRANCH_COVERAGE),\
1184 --rc genhtml_branch_coverage=$(CODE_COVERAGE_BRANCH_COVERAGE))
1185 CODE_COVERAGE_GENHTML_OPTIONS ?= $(CODE_COVERAGE_GENHTML_OPTIONS_DEFAULT)
1186 CODE_COVERAGE_IGNORE_PATTERN ?=
1187
1188 code_coverage_v_lcov_cap = $(code_coverage_v_lcov_cap_$(V))
1189 code_coverage_v_lcov_cap_ = $(code_coverage_v_lcov_cap_$(AM_DEFAULT_VERBOSITY))
1190 code_coverage_v_lcov_cap_0 = @echo "  LCOV   --capture"\
1191  $(CODE_COVERAGE_OUTPUT_FILE);
1192 code_coverage_v_lcov_ign = $(code_coverage_v_lcov_ign_$(V))
1193 code_coverage_v_lcov_ign_ = $(code_coverage_v_lcov_ign_$(AM_DEFAULT_VERBOSITY))
1194 code_coverage_v_lcov_ign_0 = @echo "  LCOV   --remove /tmp/*"\
1195  $(CODE_COVERAGE_IGNORE_PATTERN);
1196 code_coverage_v_genhtml = $(code_coverage_v_genhtml_$(V))
1197 code_coverage_v_genhtml_ = $(code_coverage_v_genhtml_$(AM_DEFAULT_VERBOSITY))
1198 code_coverage_v_genhtml_0 = @echo "  GEN   " $(CODE_COVERAGE_OUTPUT_DIRECTORY);
1199 code_coverage_quiet = $(code_coverage_quiet_$(V))
1200 code_coverage_quiet_ = $(code_coverage_quiet_$(AM_DEFAULT_VERBOSITY))
1201 code_coverage_quiet_0 = --quiet
1202
1203 # sanitizes the test-name: replaces with underscores: dashes and dots
1204 code_coverage_sanitize = $(subst -,_,$(subst .,_,$(1)))
1205
1206 # Use recursive makes in order to ignore errors during check
1207 check-code-coverage:
1208         @echo "Need to reconfigure with --enable-code-coverage"
1209
1210
1211 # Capture code coverage data
1212 code-coverage-capture: code-coverage-capture-hook
1213         @echo "Need to reconfigure with --enable-code-coverage"
1214
1215
1216 # Hook rule executed before code-coverage-capture, overridable by the user
1217 code-coverage-capture-hook:
1218
1219
1220
1221 GITIGNOREFILES ?=
1222 GITIGNOREFILES += $(CODE_COVERAGE_OUTPUT_FILE) $(CODE_COVERAGE_OUTPUT_DIRECTORY)
1223
1224 AM_DISTCHECK_CONFIGURE_FLAGS ?=
1225 AM_DISTCHECK_CONFIGURE_FLAGS += --disable-code-coverage
1226
1227 .PHONY: check-code-coverage code-coverage-capture code-coverage-capture-hook code-coverage-clean
1228
1229
1230 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1231 # Otherwise a system limit (for SysV at least) may be exceeded.
1232 .NOEXPORT: